/* Desktop */
#productos-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
}

/* Tablet */
@media (max-width:980px){
    #productos-grid{
        grid-template-columns:repeat(2,1fr);
    }

}

/* Móvil 
@media (max-width:767px){

    #productos-grid{
        grid-template-columns:1fr;
    }

}
*/

.producto-card{
    background:#fff;
    border:1px solid #e5e5e5;
    border-radius:8px;
    padding:20px;
    display:flex;
    flex-direction:column;
    height:100%;
    transition:border-color .3s ease;
}

.producto-card:hover{
    border-color:#d0d0d0;
}

.producto-imagen{
    height:260px;
    display:flex;
    align-items:center;
    justify-content:center;
    margin-bottom:10px;
}

.producto-imagen img{
    max-width:100%;
    max-height:240px;
    width:auto;
    height:auto;
    object-fit:contain;
	margin-bottom:0;
}

.producto-marca{
    display:block;
    text-align:center;
    margin-bottom:12px;
    font-size:13px;
    font-weight:700;
    letter-spacing:1px;
    text-transform:uppercase;
    color:#8f8c8c;
}

.producto-card h3{
    text-align:center;
	height: 45px;
    min-height: auto;
    font-size:16px;
    line-height:1.3;
    margin-bottom:20px;
}

.producto-links{
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:8px;
    margin-bottom:20px;
}

.producto-links a{
    display:inline-flex;
    align-items:center;
    gap:4px;
    padding:4px 8px;
    border:1px solid #ddd;
    border-radius:6px;
    text-decoration:none;
    color:#444;
	font-size:11px;
	text-transform:uppercase;
	letter-spacing:.5px;
    font-weight:600;
}

.producto-links a:hover{
    border-color:#ff0000;
    color:#111;
}

/*
.producto-links a::before{
    content:"📄";
    font-size:16px;
}
*/
.producto-links .fa-file-pdf{
    color: #ff0000;
}

.agregar-cotizacion{
	margin-top:auto;
    width:100%;
    height:48px;
    border:none;
    border-radius:6px;
    background:#ff0000;
    color:#fff;
    font-weight:600;
    /*text-transform:uppercase;*/
    cursor:pointer;
	transition:.25s ease;
	font-size:15px;
}

.agregar-cotizacion:hover{
    background:#cc0000;
    color:#fff;
	transform:translateY(-3px);
	box-shadow:0 8px 20px rgba(255,0,0,.20);
}

/*ESTILOZ BARRA DE FILTROS*/
.catalogo-filtros{

    display:flex;
    gap:20px;
    align-items:center;
    margin-bottom:50px;
    padding:10px;
    background:#f8f8f8;
    border:1px solid #e6e6e6;
    border-radius:12px;
    box-shadow:0 5px 20px rgba(0,0,0,.05);

}

.catalogo-filtros select,
.catalogo-filtros input{
    height:45px;
    border:1px solid #dcdcdc;
    border-radius:10px;
    background:#fff;
    font-size:16px;
    color:#25252a;
    transition:.25s ease;
}

.catalogo-filtros select{
    width:240px;
    padding:0 18px;
    cursor:pointer;
}

.catalogo-filtros input{
    width:320px;
    padding:0 20px;
}

.catalogo-filtros select:focus,
.catalogo-filtros input:focus{
    outline:none;
    border-color:#fd4a4a;
    box-shadow:0 0 0 4px rgba(253,74,74,.15);
}

.catalogo-filtros input::placeholder{
    color:#888;
}

/*COTIZCION MODAL*/
#abrir-cotizacion{
    position:fixed;
    right:30px;
    bottom:30px;
    background:#f2b100;
    color:#111;
    padding:15px 20px;
    border-radius:8px;
    cursor:pointer;
    z-index:999999;
    font-weight:700;
}

#contador-cotizacion{
    margin-left:8px;
}

#modal-cotizacion{
    position:fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    background:rgba(0,0,0,.65);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:9999999;
}

.modal-contenido{
    background:#fff;
    width:500px;
    max-width:90vw;
    border-radius:10px;
    padding:20px;
    max-height:80vh;
    /*overflow:auto;*/
	overflow-y:auto;
}

.modal-header{
    display:flex;
    justify-content:space-between;
    align-items:center;
	padding-bottom: 10px;
}

#cerrar-modal{
    width:30px;
    height:30px;
    border:none;
    border-radius:50%;
    background:#f5f5f5;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:20px;
    font-weight:400;
    cursor:pointer;
}
#cerrar-modal:hover{
    background:#fd4a4a;
    color:#fff;
}

/*Estilos Porudctos en cotizacipon*/
.item-cotizacion{
    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:10px;
    padding:5px 0;
    border-bottom:1px solid #eee;
}
.item-info{
    flex:1;
}
.item-info strong{
    font-size:13px;
    line-height:1.4;
	font-weight: 500;
}
.acciones-cantidad{
    display:flex;
    align-items:center;
    gap:10px;
    flex-shrink:0;
}
.acciones-cantidad button{
    /*padding:6px 12px;*/
    cursor:pointer;
	width:25px;
	height:25px;
}
.mas,
.menos,
.eliminar{
    border:1px solid #c4c0c0 !important;
	border-radius: 5px;
}
.acciones-cantidad span{
    /*min-width:25px;*/
    text-align:center;
    font-weight:600;
	font-size: 14px;
}

.cotizacion-total{
    /*margin-top:25px;
    padding-top:20px;*/
	 margin:10px 0 25px;
    /*border-top:1px solid #ddd;*/
	text-align:right;
    font-size:16px;
    font-weight:600;
}

.cotizacion-whatsapp{
    margin:15px 0 25px;
}

.cotizacion-formulario{
    /*margin-top:30px;*/
    /*border-top:1px solid #eee;*/
    /*padding-top:30px;*/
}

.cotizacion-formulario input{
    width:100%;
    height:42px;
    margin-bottom:12px;
    padding:0 15px;
    border:1px solid #ddd;
    border-radius:6px;

}

.item-marca{
    display:block;
    color:#fd4a4a;
    font-size:11px;
    font-weight:600;
    text-transform:uppercase;
    letter-spacing:1px;
    margin-bottom:0px;
}


#enviar-whatsapp,
#enviar-correo{
    width:100%;
    height:50px;
    border:none;
    border-radius:6px;
    cursor:pointer;
    font-weight:600;
	font-size: 15px;
}

#enviar-whatsapp{
    background:#25D366;
    color:#fff;
    margin-bottom:10px;
	transition:.25s ease;
}

#enviar-whatsapp:hover{
    background:#1ebe5d; /* verde un poco más oscuro */
    transform:translateY(-1px);
}

#enviar-correo{
    background:#fd4a4a;
    color:#fff;
	transition:.25s ease;
}
#enviar-correo:hover{
    background:#ff0000;
	transform:translateY(-1px);
}

/* Estilos mensaje exito modal*/
#cotizacion-mensaje{
    display:none;
    padding:15px 20px;
    border-radius:6px;
    margin-bottom:20px;
    font-weight:600;
}

#cotizacion-mensaje.exito{
    background:#eef9f1;
    border:1px solid #8dd6a2;
    color:#1f6b35;
}

#cotizacion-mensaje.error{
    background:#fdeaea;
    border:1px solid #fd4a4a;
    color:#b30000;
}

.boton-deshabilitado{
    opacity:.5;
    cursor:not-allowed;
    pointer-events:none;
}

/*Estilos Carrito Header*/
#carrito-cotizacion-header{
    position:relative;
    /*display:inline-flex;*/
    align-items:center;
    /*justify-content:flex-end;*/
    cursor:pointer;
}

.carrito-icono{
    font-size:26px;
    line-height:1;
}

#contador-cotizacion{
    position:absolute;
    top:-8px;
    right:-20px;
    width:22px;
    height:22px;
    display:flex;
    align-items:center;
    justify-content:center;
    border-radius:50%;
    background:#fd4a4a;
    color:#fff;
    font-size:11px;
    font-weight:700;
    box-shadow:0 2px 6px rgba(0,0,0,.2);
}


.carrito-header .et_pb_code_inner{
    display:flex;
    /*justify-content:flex-end;*/
	justify-content:center;
    width:100%;

}


/*TOast prodicto agregado*/
#toast-cotizacion{
    position:fixed;
    top:50%;
    right:30px;
    background:#25252a;
    color:#fff;
    padding:15px 20px;
    border-left:4px solid #fd4a4a;
    border-radius:6px;
    box-shadow:0 10px 30px rgba(0,0,0,.15);
    font-size:15px;
    font-weight:600;
    z-index:999999;
    opacity:0;
    visibility:hidden;
    transform:translateY(-15px);
    transition:.3s ease;
}

#toast-cotizacion.mostrar{
    opacity:1;
    visibility:visible;
    transform:translateY(0);
}

@media(max-width:767px){
    #toast-cotizacion{
        left:20px;
        right:20px;
        top:auto;
        bottom:20px;
        transform:none;
    }

}

/*Estilos buscador barra de filtros*/
.buscador-wrap{
    position:relative;
}

.icono-busqueda{
    position:absolute;
    left:18px;
    top:50%;
    transform:translateY(-50%);
    font-size:18px;
    opacity:.5;
    pointer-events:none;
}

.buscador-wrap input{
    padding-left:48px;
}

.catalogo-info{
    margin-left:auto;
    text-align:right;
    display:flex;
    flex-direction:column;
}

.catalogo-info strong{
    color:#fd4a4a;
    font-size:16px;
    text-transform: uppercase;
    font-weight:700;
    margin-bottom:4px;

}

.catalogo-info span{
    color:#666;
    font-size:15px;
}

.modal-header h2 i{
    color:#fd4a4a;
    margin-right:12px;
    font-size:.9em;
}


/*Limpieza de Busqueda*/
#buscar-producto{
    padding-right:45px;
}

#limpiar-busqueda{
    position:absolute;
    right:15px;
    top:50%;
    transform:translateY(-50%);
    border:none;
    background:none;
    cursor:pointer;
    display:none;
    padding:0;
    color:#999;
    font-size:18px;
    line-height:1;
}

#limpiar-busqueda:hover{
    color:#fd4a4a;
}


/*Vista productos 2 columnas en movil*/
@media (max-width:767px){
    #productos-grid{
        display:grid;
        grid-template-columns:repeat(2,1fr);
        gap:15px;
    }
}
@media (max-width:767px){
	 .producto-imagen{
        height:auto;
		margin-bottom: 0px;
    }
    .producto-card{
        padding:5px;
    }
    .producto-card h3{
        font-size:10px;
        line-height:1.3;
		margin-bottom: 5px;
    }
    .producto-marca{
        font-size:10px;
		margin-bottom: 0px;
    }
    .producto-links a{
        font-size:10px;
        padding:6px 8px;
    }

    .agregar-cotizacion{
        font-size:12px;
        padding:12px 10px;
    }
}

/*Ocultar CATALOGO FILTRO en MOVIL*/
@media (max-width:767px){
    .catalogo-info{
        display:none;
    }
}

/*STICKY barra de filtros*/
.catalogo-filtros{
    position:sticky;
    top:100px;
	z-index:100;
}
@media (max-width:767px){
    .catalogo-filtros{
    position:sticky;
    top:70px;
    z-index:100;
    background:#f5f5f5;
    padding:20px;
    border-radius:16px;
    transition:.3s;
    }
}


/*Estilo barra en movil*/
@media (max-width:767px){
    .catalogo-filtros{
        display:grid;
        grid-template-columns:1fr 1fr;
        gap:12px;
        align-items:center;
		padding: 10px;
		 border-radius:10px;
    }
	.catalogo-filtros select,
.catalogo-filtros input{
    height:45px;
    border-radius:10px;
    font-size:14px;
	}
	.catalogo-filtros select {
    padding: 0 10px;
    }
}


@media(max-width:767px){
    .catalogo-filtros{
        flex-direction:column;
        align-items:stretch;
    }

    .catalogo-filtros select,
    .catalogo-filtros input,
    .buscador-wrap{
        width:100%;
    }
}
.modal-header h3 {
    font-size: 18px;
	/*text-transform: uppercase;*/
	font-weight: 700;
}